Skip to content
Release: Australia · Updated: 2026-03-12 · Official documentation · View source

Help Request API

The Help Request API provides an endpoint to track supervisor help actions.

This API records supervisor help for agents working on interactions, including the help start and end time and the type of help. For more information about help requests, see Agent help request for voice calls.

This API requires the Interactions Management plugin (com.glide.interaction). The calling user must have the interaction_integration_user role.

Parent Topic:REST API reference

Help Request - POST /now/helprequest/action/create_or_update

Creates or updates a supervisor help action.

Call this endpoint when a supervisor accepts an interaction help request. A record to track the help is created in the Supervisor Help Action [supervisor_help_action] table. Call this endpoint again when the supervisor completes their help to update the help action record with the end time.

URL format

Versioned URL: /api/now/{api_version}/helprequest/action/create_or_update

Default URL: /api/now/helprequest/action/create_or_update

Supported request parameters

NameDescription
api\_versionOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String
NameDescription
None 
NameDescription
actionType of assistance provided by the supervisor. Required when creating a supervisor help action.Valid values \(case sensitive\): - barge\_in - coach - monitor - observe For additional information about supervisor actions, see Monitoring calls. Data type: String
action\_sys\_idSys\_id of the supervisor help action. Required when updating a single specified supervisor help action, but can be excluded to bulk update all supervisor help actions for an interaction. Table: Supervisor Help Action \[supervisor\_help\_action\] Data type: String
end\_time

Date and time the supervisor ended assistance.Note: To update a single specified supervisor help action with an end time, a valid value must be provided for this parameter. However, when bulk updating all supervisor help actions for an interaction, excluding this parameter sets the current time as the end time.

Data type: String

help\_requestSys\_id of the interaction help request.Table: Interaction Help Request \[interaction\_help\_request\] Data type: String
interactionRequired. Sys\_id of the interaction.Table: Interaction \[interaction\] Data type: String
start\_timeDate and time the supervisor started assistance.Default: Creation date and time of the supervisor help action record. Data type: String

Headers

The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.

HeaderDescription
AcceptData format of the response body. Supported types: application/json or application/xml. Default: application/json
Content-TypeData format of the request body. Supported types: application/json or application/xml. Default: application/json
HeaderDescription
None 

Status codes

The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.

Status codeDescription
200Successful. The request was successfully processed.
400Bad Request. A bad request type or malformed request was detected.
401Unauthorized. The user credentials are incorrect or have not been passed.
404Not found. The requested item wasn't found.

Response body parameters (JSON or XML)

NameDescription
resultDetails about the result of the API request.Data type: Object
"result": {
   "action_sys_id": "String",
   "message": "String",
   "success": Boolean  
}
result.action\_sys\_idSys\_id of the created or updated supervisor help action.Table: Supervisor Help Action \[supervisor\_help\_action\] Data type: String
result.messageMessage with details about the success or failure of the API request.Data type: String
result.successFlag that indicates whether the API request was successful.Possible values: - true: Success - false: Failure Data type: Boolean

cURL request

This example creates a supervisor help action.

curl "https://instance.service-now.com/api/now/helprequest/action/create_or_update" \
--request POST \
--header "Accept:application/json" \
--header "Content-Type:application/json" \
--data "{
   \"interaction\": \"d4dec70f3b4bfe101baa9f7e53e45a5d\",
   \"action\": \"coach\"
}" \
--user 'username':'password'

Response body.

{
  "result": {
    "success": true,
    "message": "Supervisor help action created successfully",
    "action_sys_id": "d25f034f3b4bfe101baa9f7e53e45a9f"
  }
}

cURL request

This example updates a supervisor help action with an end time.

curl "https://instance.service-now.com/api/now/helprequest/action/create_or_update" \
--request POST \
--header "Accept:application/json" \
--header "Content-Type:application/json" \
--data "{
   \"interaction\": \"d4dec70f3b4bfe101baa9f7e53e45a5d\",
   \"action_sys_id\": \"d25f034f3b4bfe101baa9f7e53e45a9f\",
   \"end_time\": \"2026-02-18 11:30:00\"
}" \
--user 'username':'password'

Response body.

{
  "result": {
    "success": true,
    "message": "Supervisor help action updated successfully",
    "action_sys_id": "d25f034f3b4bfe101baa9f7e53e45a9f"
  }
}

cURL request

This example updates all supervisor help actions for an interaction with an end time.

curl "https://instance.service-now.com/api/now/helprequest/action/create_or_update" \
--request POST \
--header "Accept:application/json" \
--header "Content-Type:application/json" \
--data "{
   \"interaction\": \"cd87db433bcbfe101baa9f7e53e45a4d\",
   \"end_time\": \"2026-02-18 11:24:18\"
}" \
--user 'username':'password'

Response body.

{
  "result": {
    "success": true,
    "message": "end_time updated for all supervisor help actions associated with the interaction id: cd87db433bcbfe101baa9f7e53e45a4d"
  }
}